Bug 1782447 - The naming rule of cluster name does not match the rule of GCP
Summary: The naming rule of cluster name does not match the rule of GCP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.3.0
Assignee: Abhinav Dahiya
QA Contact: yangyang
URL:
Whiteboard:
Depends On: 1777232
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-11 16:37 UTC by Abhinav Dahiya
Modified: 2020-01-23 11:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1777232
Environment:
Last Closed: 2020-01-23 11:18:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2792 None None None 2019-12-11 16:38:27 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:19:15 UTC

Comment 4 yangyang 2019-12-20 03:44:28 UTC
Verified with payload 4.3.0-0.nightly-2019-12-19-024927


Steps to verify it as below:

# openshift-install create install-config --dir=test
? SSH Public Key /root/.ssh/id_rsa.pub
? Platform gcp
? Project ID openshift-qe
? Region us-central1
? Base Domain qe.gcp.devcluster.openshift.com

X Sorry, your reply was invalid: GCP requires cluster name to match regular expression (?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?)
? Cluster Name [? for help] 123456

Comment 6 errata-xmlrpc 2020-01-23 11:18:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.